%global debug_package %{nil}

Name:           rclone
Version:        1.68.0
Release:        1%{?dist}
Summary:        Rsync for cloud storage
License:        MIT AND BSD-3-Clause
URL:            https://github.com/rclone/rclone
Source0:        https://github.com/rclone/rclone/releases/download/v%{version}/rclone-v%{version}.tar.gz

# BuildRequires:  golang >= 1.22

%description
Rclone is a command-line program to sync files and directories to and from different cloud storage providers.

%prep
%setup -q -n rclone-v%{version}

%build
# https://pagure.io/go-rpm-macros/c/1cc7f5d9026175bb6cb1b8c889355d0c4fc0e40a
%undefine _auto_set_build_flags

LDFLAGS="-X github.com/rclone/rclone/fs.Version=v%{version} -s -w -buildid="
env CGO_ENABLED=0 go build -v -trimpath -ldflags "${LDFLAGS}" -o %{name} .

%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -p -m 755 rclone %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -p -m 644 rclone.1 %{buildroot}%{_mandir}/man1/rclone.1

%files
%{_bindir}/%{name}
%{_mandir}/man1/rclone.1*
%license COPYING
%doc MAINTAINERS.md MANUAL.html RELEASE.md CONTRIBUTING.md MANUAL.md README.md
%doc docs/

%changelog
* Thu Sep 12 2024 Teddysun <i@teddysun.com> - 1.68.0-1
- Update to 1.68.0
